// SPDX-FileCopyrightText: 2023 Shun Sakai
//
// SPDX-License-Identifier: CC-BY-4.0

= Release Checklist
:crates-io-url: https://crates.io/

. Create the release branch (e.g. `release/v0.1.0`) from the `develop` branch,
  and switch to it
. Update `link:CHANGELOG.adoc[]` (rename unreleased header to the current date,
  add any missing changes)
. Bump up the version (`just bump part`)
. Update the release date in `link:CITATION.cff[]` to the current date
. Switch to the `main` branch, and merge the release branch into it (with
  `--no-ff`)
. Make a GPG-signed tag (e.g.
  `git tag -s v0.1.0 -m "chore(release): Release version 0.1.0"`)
. Switch to the `develop` branch, and merge the release branch into it (with
  `--no-ff`)
. Push the `main` branch, the `develop` branch and the local tags
. Checkout the latest tag, and publish to {crates-io-url}[crates.io] using
  `cargo publish`
